r.statistics(1)

NAME
r.statistics - Category or object oriented statistics.

KEYWORDS
raster

SYNOPSIS
r.statistics
r.statistics help
r.statistics [-c] base=string cover=string method=string [output=string] [--overwrite]

  Flags:

-c  Cover values extracted from the category labels of the cover map

--overwrite

  Parameters:

base=string
    Base raster map

cover=string
    Cover raster map

method=string
    Method of object-based statistic Options: distribution,average,mode,median,avedev,stddev,variance,skewness,kurtosis,min,max,sum

output=string
    Resultant raster map (not used with 'distribution')

DESCRIPTION
r.statistics is a tool, where different class, resp. object oriented statistical analysis methods are possible.
The methods are the following (english - german):

        distribution - Verteilung in Prozent

        average - Durchschnitt

        mode - Modalwert

        median - Median

        average deviation - Durchschnittliche Abweichung

        standard deviation - Standardabweichung

        variance - Varianz

        skewness - Schiefe der Verteilung

        kurtosis - Relative Abflachung (-) oder Zuspitzung (+)

        minimum - Minimum

        maximum - Maximum

        sum - Summe
The calculations will be performed for areas with data of the covering-layers which belong in the base-layer o the same category.

Setting the -c flag the category lables of the covering raster layer will be used. This is nice to avoid the GRASS limitation to interger in raster maps because using category values floating point numbers can be stored.

The output-layer is a reclassified version of the base-layer with identical category values. The results of the calculations are stored in the category labels of the output-layer.

The described output is valid for all calculations with exception of distribution. Here the output is given to stdout. A file name eventually specified will be ignored. The result will be a table with three columns. In the 1. column are the category values of the base-layer (a), in the 2. column the associated value of the cover-Layers (b) and in the 3. column the percentage of b from a. Example:
1 124 23
1 201 47
1 273 30
2 101 5
2 152 16
2 167 60
2 187 19
     .
     .
     .
To transfer the values stored as category labels into cell values, r.mapcalc can be used ('@' operator).

EXAMPLE
Calculation of average elevation of each field in the Spearfish region:
r.statistics base=fields cover=elevation.dem out=elevstats method=average
r.cats elevstats
r.mapcalc "fieldelev=@elevstats"
r.univar fieldelev

REMARK
The source code of average, mode and median was taken from some GRASS raster modules.

BUGS
unkown

SEE ALSO
r.mode, r.median, r.average, r.mapcalc, r.neighbors

AUTHOR
Martin Schroeder, Geographisches Institut Heidelberg, Germany

Last changed: $Date: 2006/08/08 13:09:15 $

Full index